package com.uas.platform.b2b.openapi.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.util.CollectionUtils;

public class TEMP_SALE extends Data {

	private String date;

	private Double qty;

//	private String trader;

	public Double getQty() {
		return qty;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public void setQty(Double qty) {
		this.qty = qty;
	}

//	public String getTrader() {
//		return trader;
//	}
//
//	public void setTrader(String trader) {
//		this.trader = trader;
//	}

	public static List<Sale> reduce(List<TEMP_SALE> temps) {
		List<Sale> sales = new ArrayList<Sale>();
		if (!CollectionUtils.isEmpty(temps)) {
			Map<TEMP_DATA, List<SaleItem>> map = new HashMap<TEMP_DATA, List<SaleItem>>();
			for (TEMP_SALE temp : temps) {
				TEMP_DATA data = new TEMP_DATA(temp.getBrand(), temp.getOrg_item(), temp.getItem_desc(), temp.getItem_spec(),
						temp.getItem_unit());
				List<SaleItem> items = null;
				if (map.containsKey(data)) {
					items = map.get(data);
				} else {
					items = new ArrayList<SaleItem>();
				}
				items.add(new SaleItem(temp.getDate(), temp.getQty()));
				map.put(data, items);
			}
			for (TEMP_DATA temp : map.keySet()) {
				sales.add(new Sale(temp.getBrand(), temp.getCode(), temp.getTitle(), temp.getSpec(), temp.getUnit(), map.get(temp)));
			}
		}
		return sales;
	}

}
